-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (1) .- Knowledge Base  . 

Qnokiacommander

   0.5  

KDE Filemanager

Score 79%
Qnokiacommander
zoom


Qnokiacommander
zoom


Link:  http://
Depends on  PyKDE/PyQt
Downloads:  1548
Submitted:  Nov 4 2007
Updated:  Nov 26 2007

Description:

QNokiaCommander is an obex interface for mobile phones written in python and PyQt4
It's a frontend for obexftp tool ( http://dev.zuckschwerdt.org/openobex/) and will work
with mobiles that provide a obex interface like nokia ones(pc-suite interface), but possibly
with others.
It's intended for use with *USB connection* only and is tested and working
with DKU-2 usb cable(original nokia) on nokia 6630, 3250 and N70.

Requirements:
- Python (2.5.1)
- PyQt4 (4.3.1)
- Pyxml
- obexftp (0.20)

Use it at your own risk! This is experimental software and don't blame authors if
it destroys your phone or burn your pc :-)

If you have permissions problem, you may want to look at this:
http://libsyncml.opensync.org/wiki/obex-guide#Usage

Licence:

-GPL!

Authors:

-Federico Manganelli(mangus) mangus(at)deprecated.it (pyqt4 interface and reworking)
-Hasan Abdel Halim hasana(at)gmail.com (initial work and obex interface)

enjoy and let us know your thoughts, bugs and fixes.




Changelog:

0.5
- bug fixes in installation
- provided a menu entry

0.4
- provide a system wide installation and a simple wrapper (see tarball)
- source cleaning

0.3
- added functionality for creating new folders in the mobile.
- added refresh button
- various gui and usability improvement and palette tuning
- some bugfix and cleaning

0.2 -initial release




LicenseGPL
other(archlinux package)
Send to a friend
Subscribe
Other  Apps  from mangus71
Report inappropriate content



goto page: prev   1  2  3 

-

 error

 
 by hanslimaa on: Nov 10 2007
 
Score 50%

When i start the program i get the followin message.

./Qnokiacommander.py
calling process ['/usr/bin/obexftp', '-u']
A new engine has been assigned
Failed to find suitable PC SUITE interface
Failed to initialize engine

Can you help me?


Reply to this

-

 Re: error

 
 by mangus71 on: Nov 10 2007
 
Score 50%

please provide some more information.
which phone are you using? are you using original dku-2 cable?
what gives you
'obexftp -u' ?
thank you


Reply to this

-

 Stesso errore

 
 by imu on: Nov 14 2007
 
Score 50%

Ricevo lo stessissimo errore, con il mio nokia 6630 e cavo originale nokia, però da utente, invece da root il programma si avvia perfettamente (adesso ci sto navigando dentro). Quindi credo sia un problema di permessi, mi permetto di mostrarti l'output di obexftp -u solo la prima riga dove mi dice esplicitamente che servono i privilegi di root :
"$ obexftp -u"
Superuser privileges are required to access USB.
Found 2 USB OBEX interfaces
[...]

Spero sia utile questa informazione.

N.B. Distro Debian Sid


Reply to this

-

 Re: Stesso errore

 
 by mangus71 on: Nov 14 2007
 
Score 50%

dovresti crearti una regola di udev che fissi i permessi per il tuo utente e per il telefono.
Qualcosa come:
BUS=="usb", SYSFS{idVendor}=="0421", SYSFS{idProduct}=="0410", GROUP="camera"
I valori di idVendor e idproduct li ricavi da lsusb.
ciaoooo


Reply to this

-

 Re: Stesso errore

 
 by mangus71 on: Nov 14 2007
 
Score 50%

dovresti crearti una regola di udev che fissi i permessi per il tuo utente e per il telefono.
Qualcosa come:
BUS=="usb", SYSFS{idVendor}=="0421", SYSFS{idProduct}=="0410", GROUP="camera"
I valori di idVendor e idproduct li ricavi da lsusb.
ciaoooo


Reply to this

-

 Re: Stesso errore

 
 by mangus71 on: Nov 14 2007
 
Score 50%

dovresti crearti una regola di udev che fissi i permessi per il tuo utente e per il telefono.
Qualcosa come:
BUS=="usb", SYSFS{idVendor}=="0421", SYSFS{idProduct}=="0410", GROUP="camera"
I valori di idVendor e idproduct li ricavi da lsusb.
ciaoooo


Reply to this

-

 Re: Re: Stesso errore

 
 by mangus71 on: Nov 14 2007
 
Score 50%

ehrmm,I have some problems with this site :_(


Reply to this

-
.

 Re: Re: Stesso error

 
 by Easle on: Apr 13 2008
 
Score 50%

What about the All text must be in English. rule? :D


Reply to this

-
.

 Re: Re: Stesso error

 
 by Easle on: Apr 13 2008
 
Score 50%

What about the All text must be in English. rule? :D


Reply to this

-

 Re: Stesso errore

 
 by mangus71 on: Nov 14 2007
 
Score 50%

dovresti crearti una regola di udev che fissi i permessi per il tuo utente e per il telefono.
Qualcosa come:
BUS=="usb", SYSFS{idVendor}=="0421", SYSFS{idProduct}=="0410", GROUP="camera"
I valori di idVendor e idproduct li ricavi da lsusb.
ciaoooo


Reply to this

-

 Thanks

 
 by hosein-mec on: Nov 26 2007
 
Score 50%

thanks for great work

itest this app and work with nokia phones. but didnt work with PDA ( windows mobile ). is this possible that this app work with PDA ?


Reply to this

-

 Re: Thanks

 
 by mangus71 on: Nov 26 2007
 
Score 50%

Hi, the application works for now only
with some nokia phones, as it's a frontend for obexftp tool.
A device to work have to be supported
by obexftp and give a parseable output to our parser script.
you can send me the output of
obexftp -u to see how your device
is managed.
cheers


Reply to this

-

 good

 
 by picard12 on: Feb 17 2008
 
Score 50%

By installing obexftp vs. 20 will also run on mandriva 2008. Bemenber to install perl-devel for the various problems compilation


Reply to this

-

 Not working anymore?

 
 by Tyl3r on: Aug 2 2008
 
Score 50%

I get this error when launching the program:
Traceback (most recent call last):
File "Qnokiacommander.py", line 31, in <module>
from ObexftpXML import *
File "/home/tyler/Programmi/Sorgenti/QNokiaCommander-0.5/src/ObexftpXML.py", line 28, in <module>
from xml.dom.ext.reader import PyExpat
ImportError: No module named ext.reader

I installed all the dependencies listed above, including python-xml.


Reply to this

-
.

 Jaunty problem and solution

 
 by mirzaD on: Sep 20 2009
 
Score 50%

I installed all dependencies but i still could not start this program.
This was the error:
"File "/usr/lib/python2.6/dist-packages/_xmlplus/xpath/Conversions.py", line 22, in <module> from xml.utils import boolean
ImportError: cannot import name boolean"

After some extensive search i found out that jaunty has broken packages for pyxml... OMG

For a quick and dirty fix do the following

sudo mv /usr/lib/python2.6/dist-packages/_xmlplus/utils /usr/lib/python2.6/dist-packages/_xmlplus/utils.backup
sudo cp -r /usr/lib/python2.6/dist-packages/oldxml/_xmlplus/utils/ /usr/lib/python2.6/dist-packages/_xmlplus/utils

and it WORKS !!! :D:D
I had to share this because someone else might have this problem also...

Great program by the way :)


Reply to this

goto page: prev   1  2  3 

Add commentBack






-
-
Do you like or dislike Ubuntu Unity?
 Yes, unity is alien technology!
 It is less confusing than Gnome 3 default, shell.
 Granny thinks it is much more usable than Gnome 2
 Canonical is embarrasing itself with this split project
 Gnome 3 default shell is much better
 I dislike Unity, Gnome 3 default shell is alien technology!
 None of the above, I like the 2Gb for free and Apple alike behavior. Will post a comment instead

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.